Package org.zkoss.zuti.zul.event

## Enum NavigationEvent.Type

- java.lang.Object
- - java.lang.Enum<NavigationEvent.Type>
  - - org.zkoss.zuti.zul.event.NavigationEvent.Type

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<NavigationEvent.Type>`
  Enclosing class:
    NavigationEvent<T>

      public static enum NavigationEvent.Type
      extends java.lang.Enum<NavigationEvent.Type>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ADD` | Identifies the addition of one item to the model.
    `CHANGE_CONTEXT` | Identifies one context change in the model.
    `CHANGE_DATA` | Identifies one data change in the model.
    `NAVIGATE` | Identifies the current navigated item has changed.
    `REMOVE` | Identifies the removal of one item from the model.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static NavigationEvent.Type` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static NavigationEvent.Type[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CHANGE_DATA

          public static final NavigationEvent.Type CHANGE_DATA

      Identifies one data change in the model.

    - #### CHANGE_CONTEXT

          public static final NavigationEvent.Type CHANGE_CONTEXT

      Identifies one context change in the model.

    - #### ADD

          public static final NavigationEvent.Type ADD

      Identifies the addition of one item to the model.

    - #### REMOVE

          public static final NavigationEvent.Type REMOVE

      Identifies the removal of one item from the model.

    - #### NAVIGATE

          public static final NavigationEvent.Type NAVIGATE

      Identifies the current navigated item has changed.

  - ### Method Detail

    - #### values

          public static NavigationEvent.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (NavigationEvent.Type c : NavigationEvent.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static NavigationEvent.Type valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null